packaging: add ubuntu 18.10 packages

Change-Id: I8da650f1458234392907c33b3035fe01bf85d953
parent f9bd2f50
......@@ -83,10 +83,14 @@ package-all: package-debian_9 \
package-ubuntu_16.04_i386 \
package-ubuntu_16.04_oci \
package-ubuntu_16.04_i386_oci \
package-ubuntu_18.04 \
package-ubuntu_18.04_i386 \
package-ubuntu_18.04_oci \
package-ubuntu_18.04_i386_oci \
package-ubuntu_18.04 \
package-ubuntu_18.04_i386 \
package-ubuntu_18.04_oci \
package-ubuntu_18.04_i386_oci \
package-ubuntu_18.10 \
package-ubuntu_18.10_i386 \
package-ubuntu_18.10_oci \
package-ubuntu_18.10_i386_oci \
package-fedora_27 \
package-fedora_27_i386 \
package-fedora_28 \
......
......@@ -9,7 +9,7 @@ RUN apt-get update && \
# Speed up mk-build-deps
RUN apt-get clean
RUN apt-get update && \
apt-get install -y -o Acquire::Retires=10 \
apt-get install -y -o Acquire::Retries=10 \
git \
autoconf \
automake \
......
......@@ -9,7 +9,7 @@ RUN apt-get update && \
# Speed up mk-build-deps
RUN apt-get clean
RUN apt-get update && \
apt-get install -y -o Acquire::Retires=10 \
apt-get install -y -o Acquire::Retries=10 \
git \
autoconf \
automake \
......
......@@ -9,7 +9,7 @@ RUN apt-get update && \
# Speed up mk-build-deps
RUN apt-get clean
RUN apt-get update && \
apt-get install -y -o Acquire::Retires=10 \
apt-get install -y -o Acquire::Retries=10 \
git \
autoconf \
automake \
......
......@@ -9,7 +9,7 @@ RUN apt-get update && \
# Speed up mk-build-deps
RUN apt-get clean
RUN apt-get update && \
apt-get install -y -o Acquire::Retires=10 \
apt-get install -y -o Acquire::Retries=10 \
git \
autoconf \
automake \
......
FROM ubuntu:18.10
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get clean
RUN apt-get update && \
apt-get install -y devscripts equivs
# Speed up mk-build-deps
RUN apt-get clean
RUN apt-get update && \
apt-get install -y -o Acquire::Retries=10 \
git \
autoconf \
automake \
autopoint \
cmake \
libtool \
libdbus-1-dev \
libdbus-c++-dev \
libupnp-dev \
libgnutls28-dev \
libargon2-0-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
libgtk-3-dev \
libnotify-dev \
qtbase5-dev \
qttools5-dev \
qttools5-dev-tools \
yasm \
autotools-dev \
gettext \
libpulse-dev \
libasound2-dev \
libexpat1-dev \
libpcre3-dev \
libyaml-cpp-dev \
libboost-dev \
libxext-dev \
libxfixes-dev \
libspeex-dev \
libspeexdsp-dev \
uuid-dev \
libavcodec-dev \
libavutil-dev \
libavformat-dev \
libswscale-dev \
libavdevice-dev \
libopus-dev \
libudev-dev \
libgsm1-dev \
libjsoncpp-dev \
libmsgpack-dev \
libnatpmp-dev \
libayatana-appindicator3-dev \
libqrencode-dev \
libnm-dev \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
CMD /opt/build-package-debian.sh
FROM i386/ubuntu:18.10
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get clean
RUN apt-get update && \
apt-get install -y devscripts equivs
# Speed up mk-build-deps
RUN apt-get clean
RUN apt-get update && \
apt-get install -y -o Acquire::Retries=10 \
git \
autoconf \
automake \
autopoint \
cmake \
libtool \
libdbus-1-dev \
libdbus-c++-dev \
libupnp-dev \
libgnutls28-dev \
libargon2-0-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
libgtk-3-dev \
libnotify-dev \
qtbase5-dev \
qttools5-dev \
qttools5-dev-tools \
yasm \
autotools-dev \
gettext \
libpulse-dev \
libasound2-dev \
libexpat1-dev \
libpcre3-dev \
libyaml-cpp-dev \
libboost-dev \
libxext-dev \
libxfixes-dev \
libspeex-dev \
libspeexdsp-dev \
uuid-dev \
libavcodec-dev \
libavutil-dev \
libavformat-dev \
libswscale-dev \
libavdevice-dev \
libopus-dev \
libudev-dev \
libgsm1-dev \
libjsoncpp-dev \
libmsgpack-dev \
libnatpmp-dev \
libayatana-appindicator3-dev \
libqrencode-dev \
libnm-dev \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
CMD /opt/build-package-debian.sh
......@@ -178,6 +178,32 @@ def run_generate_all(parsed_args):
"options": "-e OVERRIDE_PACKAGING_DIR=$(DEBIAN_OCI_PKG_DIR)",
"version": "$(DEBIAN_OCI_VERSION)",
},
{
"distribution": "ubuntu_18.10",
"debian_packaging_override": "",
"output_file": "$(DEBIAN_DSC_FILENAME)",
},
{
"distribution": "ubuntu_18.10_i386",
"debian_packaging_override": "",
"output_file": "$(DEBIAN_DSC_FILENAME)",
},
{
"distribution": "ubuntu_18.10_oci",
"docker_image": "ubuntu_18.10",
"debian_packaging_override": "",
"output_file": "$(DEBIAN_OCI_DSC_FILENAME)",
"options": "-e OVERRIDE_PACKAGING_DIR=$(DEBIAN_OCI_PKG_DIR)",
"version": "$(DEBIAN_OCI_VERSION)",
},
{
"distribution": "ubuntu_18.10_i386_oci",
"docker_image": "ubuntu_18.10_i386",
"debian_packaging_override": "",
"output_file": "$(DEBIAN_OCI_DSC_FILENAME)",
"options": "-e OVERRIDE_PACKAGING_DIR=$(DEBIAN_OCI_PKG_DIR)",
"version": "$(DEBIAN_OCI_VERSION)",
},
# Fedora
{
"distribution": "fedora_27",
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment